package com.pcloud.common.config;

import com.alibaba.nacos.spring.context.annotation.config.EnableNacosConfig;
import com.alibaba.nacos.spring.context.annotation.config.NacosPropertySource;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.Ordered;
import org.springframework.core.annotation.Order;

@Configuration
@Order(Ordered.HIGHEST_PRECEDENCE)
@EnableNacosConfig
@NacosPropertySource(dataId = "boot.yml", first = true)
@NacosPropertySource(dataId = "universe-monitor.yml")
@NacosPropertySource(dataId = "rabbitmq.yml")
@NacosPropertySource(dataId = "redis.properties")
public class BaseConfig {
}
